Create Razorpay Plan
curl --request POST \
--url https://api.example.com/api/payments/razorpay/{environment}/catalog/plans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"period": "monthly",
"interval": 1,
"item": {
"name": "Pro monthly",
"amount": 199900,
"currency": "INR"
}
}
'import requests
url = "https://api.example.com/api/payments/razorpay/{environment}/catalog/plans"
payload = {
"period": "monthly",
"interval": 1,
"item": {
"name": "Pro monthly",
"amount": 199900,
"currency": "INR"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
period: 'monthly',
interval: 1,
item: {name: 'Pro monthly', amount: 199900, currency: 'INR'}
})
};
fetch('https://api.example.com/api/payments/razorpay/{environment}/catalog/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"plan": {
"planId": "plan_123",
"itemId": "item_123",
"period": "monthly",
"interval": 1,
"amount": 290000,
"unitAmount": 290000,
"currency": "inr",
"active": true,
"notes": {},
"providerCreatedAt": "2023-11-07T05:31:56Z",
"syncedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}Razorpay Payments
Create Razorpay Plan
Create a Razorpay Plan with its amount-bearing item definition, then mirror it locally after Razorpay succeeds.
POST
/
api
/
payments
/
razorpay
/
{environment}
/
catalog
/
plans
Create Razorpay Plan
Authorizations
bearerAuthapiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Payment provider environment.
Available options:
test, live Body
application/json
Response
Razorpay plan created
Show child attributes
Show child attributes
Was this page helpful?
⌘I